Package org.jboss.resteasy.tracing.providers.jsonb

## Class JSONBJsonFormatRESTEasyTracingInfo

- java.lang.Object
- - org.jboss.resteasy.tracing.api.RESTEasyTracingInfo
  - - org.jboss.resteasy.tracing.api.providers.TextBasedRESTEasyTracingInfo
    - - org.jboss.resteasy.tracing.providers.jsonb.JSONBJsonFormatRESTEasyTracingInfo

-     public class JSONBJsonFormatRESTEasyTracingInfo
      extends org.jboss.resteasy.tracing.api.providers.TextBasedRESTEasyTracingInfo

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.tracing.api.providers.TextBasedRESTEasyTracingInfo

      `messageList`

    - ### Fields inherited from class org.jboss.resteasy.tracing.api.RESTEasyTracingInfo

      `DEFAULT, INSTANCES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JSONBJsonFormatRESTEasyTracingInfo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String[]` | `getMessages()` |
    `boolean` | `supports​(org.jboss.resteasy.tracing.api.RESTEasyTracingInfoFormat format)` |

    - ### Methods inherited from class org.jboss.resteasy.tracing.api.providers.TextBasedRESTEasyTracingInfo

      `addMessage, formatDuration, formatDuration, formatPercent`

    - ### Methods inherited from class org.jboss.resteasy.tracing.api.RESTEasyTracingInfo

      `get`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JSONBJsonFormatRESTEasyTracingInfo

          public JSONBJsonFormatRESTEasyTracingInfo()

  - ### Method Detail

    - #### getMessages

          public String[] getMessages()

      Overrides:
        `getMessages` in class `org.jboss.resteasy.tracing.api.providers.TextBasedRESTEasyTracingInfo`

    - #### supports

          public boolean supports​(org.jboss.resteasy.tracing.api.RESTEasyTracingInfoFormat format)

      Overrides:
        `supports` in class `org.jboss.resteasy.tracing.api.providers.TextBasedRESTEasyTracingInfo`